64位的ubuntu14.04 LTS安装 Linux交叉编译工具链及32位“ia32-libs”依赖库

ubuntu又迎来了其新一代的长期支持版本 14.04 LTS,其带来了许多令人期待的新特新,遂决定进行升级。

装好了64位版本及安装 Linux交叉编译工具链

运行GCC,${CROSS_COMPILE}gcc -v

依然会提示那经典的“没有那个文件或目录”提示。

根据以往的经验,对于64位版本ubuntu我们需要安装“ia32-libs”依赖库。

遂输入:

sudo apt-get install ia32-lib

却提示查无此货?

ubuntu 14.04强制安装ia32-libs

参考ubuntukylin.com wuy069的解决方案

1。切换到root权限

sudo -i

2。进入apt源列表

cd /etc/apt/sources.list.d

3。添加ubuntu 13.04的源,因为13.10的后续版本废弃了ia32-libs

echo "deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse" > ia32-libs-raring.list

4。更新源并安装ia32-libs

apt-get update

apt-get install ia32-libs

5。恢复源

rm ia32-libs-raring.list

apt-get update

最后我们来重新安装Linux交叉编译工具链

[email protected]:/home/gli/my-imx6# cd 02tools/
[email protected]:/home/gli/my-imx6/02tools# source gcc-linaro-arm-linux-gnueabihf-492-env
[email protected]:/home/gli/my-imx6/02tools# ${CROSS_COMPILE}gcc -v


这下可以看到GCC版本了,表示 Linux交叉编译工具链安装好了。

时间: 03-22

64位的ubuntu14.04 LTS安装 Linux交叉编译工具链及32位“ia32-libs”依赖库的相关文章

Ubuntu14.04 LTS 安装Chrome浏览器(转)

add zhj: 亲测过,可以,原来不用FQ就可以下载,有点意外 原文:http://www.jianshu.com/p/8220578d0b15 1.打开终端(ctrl + alt + t),下载64位,输入 wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb 下载32位 wget https://dl.google.com/linux/direct/google-chrome-stabl

Ubuntu14.04 LTS 安装 Qt5 开发环境

1. 虚拟机安装Ubuntu 14.04 LTS 2. 更新安装源 安装163的源 3. 安装Vim 4. 安装build-essential 默认没有安装g++ 5. 安装ssh服务 便于远程操作. sudo apt-get install openssh-server 修改配置:sudo vim /etc/ssh/sshd-config PermitRootLogin without-password 改成 PermitRootLogin yes,允许Root登陆 重启服务:sudo ser

Ubuntu14.04 LTS安装 OpenCV-3.0.0-rc1 + QT5.4.1

I 安装配置工作前的准备 2 II 安装 OpenCV 2 III 安装QT 3 IV 使QT能够使用OpenCV 3 如果顺利,整个过程应该3个小时左右能够完成. 我整个过程用了一早上,配置过程中有问题,就要好好利用百度.多亏前辈们的积累,不然我可能在花几天都不会配置好,在这里我也分享下配置的过程.(每个人的电脑配置前的环境不一样,可能和我配置的过程有不一样的地方,那么请百度) I 安装配置工作前的准备 I.1 电脑 - 笔记本,台式机均可(废话) I.2 Linux操作系统 - 物理机上的,

让64位的WSL(windows子linux系统)支持运行32位程序

假设有一个新的Ubuntu WSL实例,则需要安装qemu-user-static软件包,添加i386 binfmt,启用i386体系结构,更新软件包列表,并安装一些i386软件包: 安装qemu和binfmt sudo apt update sudo apt install qemu-user-static sudo update-binfmts --install i386 /usr/bin/qemu-i386-static --magic '\x7fELF\x01\x01\x01\x03\

关于LINUX运行交叉编译工具链后make出现No such file or directory

刚刚make出来,心情挺激动的,从安装UBUNTU到运行编译工具链真的是弄了有一周了.用的是UBUNTU14的版本和韦东山那个版本真的是差的太多了,所以问题层出不穷.今天这个问题我一开始以为是环境变量没设置对,结果各种百度按照他们的设置,但是我路径的根目录明明有arm-linux-gcc这个文件,但就是显示No such file or directory!在网上找资料间无意看到有人提示可能是版本不兼容的问题我现再用的是64为的系统,而编译工具链是32位的,不兼容,所以要安装ia32-libs.

ubuntu14.04 LTS下Atlas2.2安装说明

准备工作 本文档是在ubuntu14.04下安装2.2版本的atlas. 官方文档很重要,请熟读. wiki地址:https://github.com/Qihoo360/Atlas/wiki QQ 群:326544838(可以加此群进行咨询) 1.所用软件: Ubuntu14.04 LTS版 2.使用服务器地址:192.168.1.244 3.ubuntu14.04对应的安装文件选择Atlas-2.2-debian7.0-x86_64.deb 4.主库为192.168.1.160,从库为192.

在Ubuntu14.04下安装Docker CE(1) - repository篇

从2017年3月开始,Docker开始分为社区版本和企业版,也就是Docker CE和Docker EE, 原来Ubuntu14.04下,通过sudo apt-get install docker.io来进行安装的方式已经过时了.在这里,会详细介绍如何在ubuntu14.04 LTS下安装Docker社区版,也就是Docker CE. 在开始之前,请确保你先做好一些前期准备工作,然后开始安装Docker. 前期准备工作 操作系统 安装Docker CE,你需要以下其中一种64位的Ubuntu操作

ubuntu14.04 64bit 安装 && 破解quartus13.0 记录

安装文件:Quartus-13.0.0.156-linux.iso             Quartus-13.0.0.156-devices-1.iso 1.挂载:sudo mount -o loop Quartus-13.0.0.156-linux.iso /media/mnt    //mnt 提前建立好 2.直接执行 sudo ./setup.sh 就可以安装 我的安装文件夹:/usr/local/altera/13.0/quartus 3. 1).quartus安装完毕后,直接执行执

Ubuntu14.04下安装Caffe总结

转摘http://weibo.com/p/2304189db078090102vdvx 虽然Deep Learning已经不是什么新鲜的东西了,但是由于设备原因,自己一直没有涉足.前几天有幸换了一台自带GPU的Workstation,甚是高兴.于是迫不及待地装了个Ubuntu系统,开始配置DeepLearning框架Caffe.前后共花了差不多两天时间,终于把它配好了.配了这么多年的软件,Caffe应该是我配过最复杂的软件,没有之一.终于知道为什么用Caffe的人这么多,亲自去配它的人这么少了.